%global momorel 7

Name:           perl-CGI-Simple
Version:        1.112
Release:	%{momorel}m%{?dist}
Summary:        CGI::Simple Perl module
License:        "Unknown"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Cgi-Simple/
Source0:	http://www.cpan.org/authors/id/A/AN/ANDYA/CGI-Simple-%{version}.tar.gz
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Obsoletes:      perl-Cgi-Simple
Provides:       perl-Cgi-Simple = %{version}-%{release}

%description
CGI::Simple provides a relatively lightweight drop in replacement for
CGI.pm. It shares an identical OO interface to CGI.pm for parameter
parsing, file upload, cookie handling and header generation. This module is
entirely object oriented, however a complete functional interface is
available by using the CGI::Simple::Standard module.

%prep
%setup -q -n CGI-Simple-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.112-7m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.112-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.112-5m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.112-4m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.112-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.112-2m)
- rebuild against perl-5.10.1

* Tue Aug  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.112-1m)
- update to 1.112

* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.111-1m)
- update to 1.111

* Mon May 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.110-1m)
- update to 1.110

* Sat Apr 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.109-1m)
- update to 1.109

* Sat Mar 21 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.108-1m)
- update to 1.108

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.106-2m)
- rebuild against rpm-4.6

* Mon Sep 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.106-1m)
- update to 1.106

* Sun May 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.105-1m)
- update to 1.105

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.103-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.103-2m)
- %%NoSource -> NoSource

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.103-1m)
- update to 1.103

* Sat Jul 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1-1m)
- update to 1.1

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-1m)
- update to 1.0

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.080-2m)
- use vendor

* Sat Mar 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.080-1m)
- update to 0.080

* Sun Feb 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.079-1m)
- update to 0.079

* Sat Jan 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.078-2m)
- Provides: perl-Cgi-Simple

* Thu Jan 11 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.078-1m)
- package name was changed to perl-CGI-Simple
- change source URI

* Sun Oct 01 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.077-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
